Upgrade 2013-R2 to 2015 fails

Use this forum for questions regarding installation, upgrading and configuration of OpenEMM

Moderator: moderator

nterry
Posts: 24
Joined: Thu Nov 01, 2012 5:18 pm

Upgrade 2013-R2 to 2015 fails

Post by nterry » Wed Apr 22, 2015 7:17 pm

I'm trying to update my 2013-R2 installation to 2015 using the automatic updater. It fails just after ther download with:

...
Stop scripts/pickdist program .. done.
Stop scripts/update.py program .. done.
Stop bin/bav program with signal 15 .. done.
Stop scripts/bavd program .. done.
Stop scripts/bav-trigger program with signal 15 .. done.
Stop scripts/bav-update program with signal 15 .. done.
Renaming current version to keep as archive
sh: /home/openemm-2013: Is a directory
Unable to create new directory

It just hangs there and never gets any further. Any idea what is wrong? What other information is needed?
Last edited by nterry on Fri Apr 24, 2015 2:40 pm, edited 1 time in total.

maschoff
Site Admin
Posts: 2204
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: Upgrade 2013-R@ to 2015 fails

Post by maschoff » Wed Apr 22, 2015 8:55 pm

Did you apply bugfix #17 described here:

https://sourceforge.net/projects/openem ... /Bugfixes/
OpenEMM Maintainer

nterry
Posts: 24
Joined: Thu Nov 01, 2012 5:18 pm

Re: Upgrade 2013-R@ to 2015 fails

Post by nterry » Thu Apr 23, 2015 7:28 pm

No I hadn't and wasn't aware of it. I've applied the patch, but don't want to upgrade till late tonight as we sent a couple of mailings this morning.

maschoff
Site Admin
Posts: 2204
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: Upgrade 2013-R@ to 2015 fails

Post by maschoff » Thu Apr 23, 2015 8:43 pm

We recommend to follow @openemm on Twitter to get such kind of info.
OpenEMM Maintainer

nterry
Posts: 24
Joined: Thu Nov 01, 2012 5:18 pm

Re: Upgrade 2013-R@ to 2015 fails

Post by nterry » Fri Apr 24, 2015 2:40 pm

That fixed it perfectly. Thanks

Post Reply